@charset "utf-8";
/* CSS Document */


/*logo收進側邊選單*/
.side-logo { display: none;}




/*頁籤*/
.tabs {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
}

.tabs__label {
	width:50%;
	/*padding: 10px;
	cursor: pointer;*/
	
	/*font-size: 1.125em;*/ /*18px*/
	color: #2ca253;
	font-weight: bold;
	/*background-color: #d8e266;
	margin-bottom: 10px;*/
	text-align: center;
}
.tabs__label span {
	padding: 10px;
	cursor: pointer;
	width:120px;
	font-size: 1.125em; /*18px*/
	color: #2ca253;
	font-weight: bold;
	background-color: #d8e266;
	margin-bottom: 10px;
	text-align: center;
	display: inline-block;
	position: relative;
}
label.tab1 {
	text-align: right;
}
label.tab1 span{
	border-radius: 10px 0 0 10px;
}
label.tab2 {
	text-align: left;
}
label.tab2 span{
	border-radius: 0 10px 10px 0;
}

.tabs__radio {
	display: none;
}

.tabs__content {
	order: 1;
	display: none;

}



.tabs__radio:checked + .tabs__label span {
	
	color: #fff;
	background-color: #2ca253;
	cursor: default;
}
.tabs__radio:checked + .tabs__label span::after {
	content:'';
	width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid #2ca253;
	position: absolute;
	left: calc(50% - 20px);
	bottom: -10px;
}

.tabs__radio:checked + .tabs__label + .tabs__content {
	display: initial;
}


/*載入選單容器*/
.index .mainMenu {
	margin: 0 auto 175px auto;
	height: fit-content; 
	width: 50%;
}
.mainMenu {
	position: relative;
	z-index: 99991;
	text-align: center; 
}


/*在首頁隱藏選單中回首頁按鈕*/
.index .nav_index {
	display: none;
}

nav { 
	z-index: 99;
}
nav > ul {}
/* 選單線 */
/* 隱藏核許框 */
input#menu {
	  display: none;
}

/*隱藏第二層選單的chenkbox*/
input#drop {
	  display: none;
}

ul {
  /* 取消ul預設的內縮及樣式 */
  margin: 0;
  padding: 0;
  list-style: none;
}


.menu-content {
	display: flex;
	justify-content: center;
	align-content: center;
    text-align: center;
	background-color: #2ca253;
	border-radius: 10px;
	padding: 6px 13px;
	
}

.menu-content li {
	white-space: nowrap;
}


.menu-content > li {
    text-align: center;
	transition: background-color 0.2s ease-in-out; 
	position: relative;
	border-radius: 10px;
	margin-left: 0;
	margin-right: 0;
}

.menu-content > li > a {
    font-size: 1.3em;/*1.5em 24px*/
    color: #fff;
	font-weight: bold;
    display: block;
    text-decoration: none;
    line-height: 1.1em;
	padding: 10px 15px;
	
}

.menu-content > li:hover  {
  	background-color:#fff;
	
}
.menu-content > li:hover > a {
	color:#333333;
}


/*第二層選單*/
.has-submenu input[type="checkbox"] {
	  display: none;
	}
.menu-content ul {
    position: absolute;
    z-index: 99;
    /*top: 70px; left:calc(50% - 450px);*/
	top: 0; left: 0;
    width: 100%;
	padding-top: 63px;
	/*padding-top: 8px;*/
	/*background-color: rgba(255,255,255,.5);*/
	/*background: rgba(255, 255, 255, 0.5);*/
    /*background: linear-gradient(180deg, rgba(255, 255, 255, 0.0) 0%, rgba(255, 255, 255, 0.7) 100%);*/
 
}

/*第二層選單針對首頁設定*/
.index .menu-content ul {
	
}
.menu-content li ul {
  /*隱藏次選單*/
    display: none;
	transition: display 0.5s ease-in-out;
}

.menu-content li:hover > ul{
  /* 滑鼠滑入展開次選單*/
    display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.menu-content ul li {
	position: relative;
    display: flex;
    flex-direction: row;
	justify-content: center;
	flex-wrap: nowrap;
	transition: background-color 0.2s ease-in-out;
	background-color: #2ca253;
	border-radius: 10px;
	margin-bottom: 5px;
	min-width: 150px;
	width: fit-content;
}

.menu-content ul > li > a {
    font-size: 1.3em;/*1.5em 24px*/
    color: #f3f3f3;
	font-weight: bold;
    display: block;
    padding: 20px 5px;
	margin: 0 15px;
    text-decoration: none;
    line-height: 1.1em;
	transition: background-color 0.2s ease-in-out;
}

.menu-content ul > li:hover {
	background-color: #d8e266;
}
.menu-content ul > li:hover > a {
  /* 滑鼠滑入按鈕變色*/
    color: #333;
	
}

.menu-content ul ul {
  /*第三層以後的選單出現位置與第二層不同*/
    z-index: 999;
    top: 10px;
    left: 90%;
}




/**************************************滑動加陰影**************************************/

.mainMenu.shadow{ background: none;
	/*-webkit-box-shadow: 2px 7px 4px -3px rgba(0,0,0,0.2);
    -moz-box-shadow: 2px 7px 4px -3px rgba(0,0,0,0.2);
    box-shadow: 2px 7px 4px -3px rgba(0,0,0,0.2);*/
}
.mainMenu.shadow .innerpage_logo, .inner .mainMenu.shadow .menu_bg, .index .mainMenu.shadow nav {
	-webkit-box-shadow: 2px 7px 4px -3px rgba(0,0,0,0.2);
    -moz-box-shadow: 2px 7px 4px -3px rgba(0,0,0,0.2);
    box-shadow: 2px 7px 4px -3px rgba(0,0,0,0.2);
}


.inner .mainMenu.changeS .menu_bg{ 
    -webkit-animation: MoveBg 0.2s ease-in-out forwards; 
    animation: MoveBg 0.2s ease-in-out forwards; 
 }
@keyframes MoveBg {
    from { height: 40px; }
    to { height: 62px; }
}

.inner .mainMenu.changeH{ 
    -webkit-animation: MoveBg2 0.2s ease-in-out forwards; 
    animation: MoveBg2 0.2s ease-in-out forwards;     
 }





/*漢堡選單起始寬度*/ /************************1400px***********************************************************************************/
@media screen and (max-width: 1400px) { 
	
	.inner nav .nav_index {
		display: block;
	}/*內頁顯示回首頁按鈕*/
	
	/*漢堡選單按鈕樣式*/
	.line {
	  width: 52px;
	  height: 48px;
	  background: none;
	  cursor: pointer;
	  display: block;
	  padding: 0;
	  position: fixed;
	  z-index: 2;
	  right: 8px; top: 0;
	}
	.line .menu::before,
	.line .menu::after {
	    /*background: url("../../images/gr-line.png");
		background-size: 34px 5px;
		background-position: center;*/
	    content: '';
	    display: block;
	    height: 5px;
	    position: absolute;
	    transition: background ease 0.15s, top ease 0.15s 0.15s, transform ease 0.15s;
	    width: 33px;
		background-color: #2ca253;
		border-radius: 5px;
		border: #000 solid 1px;
		
	}
	
	.line .menu {
	    left: calc(50% - 17px);
	    top: 50%;
		width: 35px; height: 7px;
		background-color: #2ca253;
		border-radius: 5px;
		border: #000 solid 1px;
		position: absolute;
	}

	.line .menu::before {
	    top: -13px;
		left: -1px;
	}

	.line .menu::after {
	    top: 11px;
		left: -1px;
	}
	
	/* 點選選單變叉叉 */
	#menu:checked + .line .menu {
	  background: transparent;
		border: 0;
	}

	#menu:checked + .line .menu::before {
	  transform: rotate(45deg);
	}

	#menu:checked + .line .menu::after {
	  transform: rotate(-45deg);
	}

	#menu:checked + .line .menu::before,
	#menu:checked + .line .menu::after {
	  top: 0;
	  transition: top ease 0.15s, transform ease 0.15s 0.15s;
	}
	
	
	
	
	/*點開第二層選單按鈕樣式*/
	.arrowD {
	    width: 36px;
	    height: 24px;
	    background: url("../../images/arrow.png") no-repeat;
		background-size: 33px 22px;
		background-position: center;
	    cursor: pointer;
	    display: block;
	    padding: 16px;
	    position: absolute;
	    top: 4px; right: 16px;
	    z-index: 2;
		transition: all .15s ease-out;
	}
	
	#drop:checked + .arrowD {
	  	transform: scaleY(-1);
}

	/* 選單開合 */
	#menu:checked ~ .drop-down-menu {
	   width: 300px;
	   right:0;
	   top: 0;
	}
	
	#drop:checked ~ .drop-down-menu ul {
	   width: 100%;
	   height: 100%;
	   display: block;
	}

	
	
	/*頁籤*/
	.tabs__label span{
		padding: 7px 16px 0 16px;
		cursor: pointer;
		width: 150px;
		height: 40px;
		color: #2ca253;
		background-color: #d8e266;
		margin-bottom: 0;
		border: #2ca253 solid 1px;
	}
	label.tab1 span{
		border-radius: 10px 0 0 0;
	}
	label.tab2 span{
		border-radius: 0;
	}
	.tabs__content {
		width: 100%;
	}
	
	
	.drop-down-menu {
	  width: 0;
	  height: 100vh;
	  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
	  /*background: linear-gradient(0deg,rgba(44, 162, 83, 1) 62%, rgba(216, 226, 102, 1) 67%);*/
		/*0209修*/
	  background: linear-gradient(0deg,rgba(44, 162, 83, 1) 82%, rgba(255, 255, 255, 1) 18%);
	  padding-top: 60px;
	  position: fixed;
	  z-index: 1;
	  /*transition: all 0.3s;*/
	  overflow: hidden;
      overflow-y: auto;
	  flex-direction: column;
	  justify-content: flex-start;
	  text-align: left;
	}
	
	/* 選單向外推 */
	.menu-content {
		width: 100%;
	    list-style: none;
	    padding: 10px 0 0 0;
		top: 0; left:0;
		background: none;
		border: none;
		display: flex;
		flex-direction: column;
		justify-content: flex-start;
		align-content: center;
    	text-align: center;
		background-color: #2ca253;
		border-radius: 0;
	}
	.menu-content > li {
		text-align: left;
		transition: background-color 0.2s ease-in-out; 
		position: relative;
		border-radius: 0;
		margin-left: 0;
		margin-right: 0;
		padding-left: 1em;	
	}
	
	
	.index .drop-down-menu ul { 
		top: 0!important; 
		left:0!important; 
	}
	
	
	.menu-content > li:hover  {
	  background-color:inherit;
	}
	.menu-content > li:hover > a {
		color:#fff;
	}
	
	.menu-content > li > a {
		font-size: 1.25em;
		color: #fff;
		font-weight: bold;
		display: block;
		text-decoration: none;
		line-height: 1.1em;
		padding: 12px;
	}
	
	
	/*第二層選單*/
	.menu-content ul {
		position: absolute;
		z-index: 99;
		/*top: 70px; left:calc(50% - 450px);*/
		top: 0; left: 0;
		width: 100%;
		padding-top: 5px;
	
	}
	
	.menu-content ul > li {
	  display: block;
	  width: 100%;border-bottom: #fff solid 1px;
		/*background-color: #fff;*/
	}
	
	.menu-content li:hover>ul {
	  /* 漢堡選單模式滑鼠滑入不展開次選單*/
	  display: none;
	}
	
	/* 隱藏第二層選單預設 */
	.menu-content li > ul {
	  display: none;
	  transition: all 0.3s ease;
	}
	
	.menu-content ul li {
		border-radius: 0;
		margin-bottom: 5px;
	}

	
	.has-submenu input[type="checkbox"] {
	  display: none;
	}
	.submenu {
	  display: none;
	}
	.has-submenu input:checked ~ .submenu {
	  display: block;
		position: relative;
		margin: 10px 5px;
		top: auto;
	}
	.arrowD {
	  display: inline-block;
	  transition: transform .3s;
	}

	.has-submenu input:checked + label .arrowD {
	  /*transform: rotate(180deg);*/
		transform: scaleY(-1);
	}
	/* 選擇正確位置的 ul（第二層選單）進行展開 */
	#drop:checked + label + ul {
	    display: block;
	    position: relative;
		margin: 10px 5px;
		top: auto;
	}
	
	.menu-content ul > li > a {
		font-size: 1.25em;
		color: #fff;
		font-weight: 500;
		display: block;
		padding: 12px;
		margin: 0 15px;
		text-decoration: none;
		line-height: 1.1em;
	}
	
	.menu-content ul > li > a:hover {
	  /* 滑鼠滑入按鈕變色*/
		color: #333;
		background: none;
	}
	
	.menu-content li:hover > ul {
	  /* 滑鼠滑入展開次選單*/
		
		background-color: inherit;
	}
	
	
	.menu-content ul > li:hover {
		background-color: inherit;
	}
	
	.menu-content > li:hover::before {
		content:'';
		position: absolute;
		display: none;
		width: 40px; height: 10px;
		background-color: #999;
		bottom: -5px; left: 10px;
		z-index:9999;
	}
	
	/*logo收進側邊選單*/
	.side-logo { 
		display: flex;
		flex-direction: row;
		justify-content: flex-start;
		position: absolute;
		top: 16px;
		left: 10px;
	}
	.side-logo div {
		display: block;
		background-size: cover;
		background-repeat: no-repeat;
		margin-right: 10px;
		position: relative;
	}
	.side-logo div a {
		display: block;
		position: absolute;
		top: 0; left: 0; right: 0; bottom: 0;
		width: inherit;
		height: inherit;
		cursor: pointer;
	}
	
	.side-logo .fbLogo {
		background-image: url("../../images/fb-logo.png");
		width: 35px;
		height: 35px;
	}
	.side-logo .igLogo {
		background-image: url("../../images/ig-logo.png");
		width: 35px;
		height: 35px;
	}
	.side-logo .lineLogo {
		background-image: url("../../images/line-logo.svg");
		width: 35px;
		height: 35px;
	}
	.side-logo .sdgsLogo {
		background-image: url("../../images/logo-sdgs.png");
		width: 82px;
		height: 35px;
	}

	
	
}

@media screen and (max-width: 490px) {
	#menu:checked ~ .drop-down-menu {
	   width: 100%;
	   right:0;
	   top: 0;
	}
	.tabs__label span{
		width: 100%;
	}
}



